# Generated from w3-rails-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name w3-rails

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: This gem adds the w3.css assets to your asset pipeline so you can import them in your Rails project
License: MIT
URL: https://github.com/leihb/w3-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A modern CSS framework with built-in responsiveness.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/w3-rails.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.0-1
- Initial package
